#
# spec file for package extace (Version 1.6.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel fftw fftw-devel glib glib-devel gtk gtk-devel imlib imlib-devel xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel fftw fftw-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         extace
%define prefix	/usr/X11R6
%define gnomeprefix /opt/gnome
Summary:      A waveform viewer
Version:      1.6.0
Release:      59
Copyright: GPL
Group: Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://extace.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Patch: extace-%{version}.dif
## if you want to link statically with fftw, use the first line below.
## %define fftw_lib	EXTRA_LIBS="/usr/lib/libdrfftw.a /usr/lib/libdfftw.a -lm"
%define fftw_lib	EXTRA_LIBS="-ldrfftw -ldfftw -lm"

%description
eXtace is a visual sound display/analysis program for the Gnome Desktop
environment (though it works under other environments as long as gnome/esd
or ALSA is installed and used). Requires ESD or ALSA to function. Includes
various fourier transforms of the audio data in real-time. Displays include
3D textured flying landscape, 16-256 channel graphic EQ, scope 3D pointed
flying landscape, and a Spectragram. All aspects of the display are fully
configurable, even the axis placement.

Authors:
--------
    Dave Andruczyk <djandruczyk@yahoo.com>

SuSE series: snd

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make %{fftw_lib}

%install
make prefix="$RPM_BUILD_ROOT"%{prefix}\
  mandir="$RPM_BUILD_ROOT"%{_mandir}\
  Multimediadir="$RPM_BUILD_ROOT"%{gnomeprefix}/share/gnome/apps/Multimedia\
  %{fftw_lib}\
  install-strip
# normal check for compressed man pages:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/extace
%{gnomeprefix}/share/gnome/apps/Multimedia/extace.desktop
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO VERSION

%changelog -n extace
* Tue Aug 28 2001 - uli@suse.de
- update -> 1.6.0 (too many fixes to list)
- moved binary to /usr/X11R6/bin
* Wed Mar 21 2001 - ro@suse.de
- libtoolize
* Mon Jan 08 2001 - tiwai@suse.de
- allow static link with fftw; define fftw_static_lib in spec file.
* Mon Nov 06 2000 - tiwai@suse.de
- Initial version: 1.3.10
